<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_80e7ee43fd" . "f838101a230" . "3a7b4a50efc" => base64_decode("dG9fZm9sZGVy" . "X2lk"), "_32155ccb342f" . "199043093041c" . "1b3bb57" => base64_decode("ZnJvbV9mb2xk" . "ZXJfaWQ="), "t" . "y" . "p" . "e" => base64_decode("dHlwZQ=" . "="), "_d0845bff5cd0ddb5ed1d7bd9db996" . "f51" => base64_decode("c291cmN" . "l"), "_2e858fb1973337f53ff85c10" . "4fcb38f4" => base64_decode("cHVi" . "bGlz" . "aGVk"), "_4c760fb02a49c55509ba087b8" . "4fbda45" => base64_decode("ZHJhZ" . "nQ="), "_939c6a45ff74323dbef487" . "ed15753a7c" => base64_decode("c3RhdGU" . "="));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_939c6a45ff74323dbef487ed157" . "53a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_939c6a45ff74323dbef487ed15753" . "a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_4c760fb02a" . "49c55509ba0" . "87b84fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_2e858fb1973337" . "f53ff85c104fcb3" . "8f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["ty" . "pe"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["t" . "y" . "p" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d0845bff5cd0ddb5ed1d7bd9db" . "996f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_32155ccb342f199043093041c1b3b" . "b57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_80e7ee43fdf838101a2303a7b4a50" . "efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}